
CoCoA-5 - Bug #1224

Lexer: unclosed multi-line comment

04 Sep 2018 15:45 - John Abbott

Status: Closed Start date: 04 Sep 2018

Priority: Low Due date:  

Assignee: John Abbott % Done: 100%

Category: Cleaning Estimated time: 0.75 hour

Target version: CoCoA-5.3.0 Spent time: 0.70 hour

Description

The lexer supposedly handles unclosed multi-line comments (at the end of input).

However, it seems that the error message wants to print out the character where the problem was, but this char is EOF (or maybe

EOL).

Also the Emacs interface gets confused, and everything is printed in comment colour (yellow in my case)

History

#1 - 02 Mar 2020 21:24 - John Abbott

- Assignee set to John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.3.0

- % Done changed from 0 to 50

Is this still a problem?

I do not observe now the problem about everything staying in "comment colour".

The error message tries to be helpful by indicating start and end of the problem; I now think that what it prints is acceptable, maybe we could try to be

cleverer about the arrows marking the end of input (but the message itself does say that the comment is unclosed).

I suggest closing this issue.

#2 - 03 Mar 2020 11:54 - John Abbott

- Status changed from New to Resolved

- % Done changed from 50 to 80

Surely the unfinished multi-line comment can occur only at the end of the input, so the "end marker" always has to be EOF.

I think we can mark this as satisfactorily solved.  OK?

#3 - 03 Mar 2020 22:16 - John Abbott

- Description updated

#4 - 04 Mar 2020 14:41 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

- Estimated time set to 0.75 h
Some quick tests pass fine. Not worth investing more time here.

Closing.
